package com.lightinit.hsdataportal.json.pojo.solr;

import org.codehaus.jackson.annotate.JsonProperty;

import java.util.List;
import java.util.Map;

/**
 * Created by Mr.Yao on 2017/12/7.
 */
public class DataImportResponseEntity {
    @JsonProperty("responseHeader")
    private ResponseHeaderEntity responseHeader;
    @JsonProperty("initArgs")
    private Map<String,List<String>> initArgs;
    @JsonProperty("command")
    private String command;
    @JsonProperty("status")
    private String status;
    @JsonProperty("importResponse")
    private String importResponse;
    @JsonProperty("statusMessages")
    private Map<String,String> statusMessages;
    @JsonProperty("WARNING")
    private String WARNING;

    public ResponseHeaderEntity getResponseHeader() {
        return responseHeader;
    }

    public void setResponseHeader(ResponseHeaderEntity responseHeader) {
        this.responseHeader = responseHeader;
    }

    public Map<String, List<String>> getInitArgs() {
        return initArgs;
    }

    public void setInitArgs(Map<String, List<String>> initArgs) {
        this.initArgs = initArgs;
    }

    public String getCommand() {
        return command;
    }

    public void setCommand(String command) {
        this.command = command;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getImportResponse() {
        return importResponse;
    }

    public void setImportResponse(String importResponse) {
        this.importResponse = importResponse;
    }

    public Map<String, String> getStatusMessages() {
        return statusMessages;
    }

    public void setStatusMessages(Map<String, String> statusMessages) {
        this.statusMessages = statusMessages;
    }

    public String getWARNING() {
        return WARNING;
    }

    public void setWARNING(String WARNING) {
        this.WARNING = WARNING;
    }
}
